package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 商险订单明细表
 *
 * @author huych
 * @date 2025-02-07 15:17:24
 */
@Data
@TableName("ekp_insurances_info")
@EqualsAndHashCode()
@Schema(description = "商险订单明细表")
public class EkpInsurancesInfo {

	@TableId(type = IdType.ASSIGN_ID)
	@Schema(description = "fd_Id")
	private String fd_id;
	
	@Schema(description = "单据类型")
	private String fd_3adfe6af71a1cc;

	@Schema(description = "项目编码")
	private String fd_3adfe658c6229e;

	@Schema(description = "项目名称")
	private String fd_3adfe6592b4158;

	@Schema(description = "单号")
	private String fd_3adfe67a9f6364;

	@Schema(description = "客户编码")
	private String fd_3adfe6598281e8;

	@Schema(description = "客户名称")
	private String fd_3adfe7a2688902;

	@Schema(description = "发生日期")
	private Date fd_3adfe67c24dace;

	@Schema(description = "姓名")
	private String fd_3adfe65d759650;

	@Schema(description = "身份证号")
	private String fd_3adfe65dbd9f68;

	@Schema(description = "发票号")
	private String fd_3adfe65e0cd094;

	@Schema(description = "险种")
	private String fd_3adfe65f6599e4;

	@Schema(description = "保险公司")
	private String fd_3adfe65ea04728;

	@Schema(description = "保单号")
	private String fd_3adfe65e60e110;

	@Schema(description = "保险开始日期")
	private Date fd_3adfe6b7e0ede8;

	@Schema(description = "保险结束日期")
	private Date fd_3adfe6b847bfe6;

	@Schema(description = "购买标准")
	private Double fd_3adfe6d55384c6;

	@Schema(description = "实际保费")
	private Double fd_3adfe6610c0d2c;

	@Schema(description = "医保")
	private Double fd_3adfe66041a996;

	@Schema(description = "事故或残疾")
	private String fd_3adfe6609aa810;

	@Schema(description = "应收")
	private Double fd_3adfe6e30f2a3c;

	@Schema(description = "结算状态")
	private String fd_3adfe6ec6a8cbe;

	@Schema(description = "收款状态")
	private String fd_3adfe6ef5dfaac;

	@Schema(description = "收入结算单号")
	private String fd_3adfe79fd04606;

	@Schema(description = "收款认领单号")
	private String fd_3adfe7a117f086;

	@Schema(description = "应支出")
	private Double fd_3adfe6e3911ffe;

	@Schema(description = "支出结算状态")
	private String fd_3adfe6eda67236;

	@Schema(description = "付款状态")
	private String fd_3adfe6f05531ec;

	@Schema(description = "支出结算单号")
	private String fd_3adfe7a035849c;

	@Schema(description = "付款单号")
	private String fd_3adfe7a08eba96;

	@Schema(description = "状态")
	private String fd_3af9197b31071c;

	@Schema(description = "实际结算月份")
	private Date fd_3af9d11088facc;

	@Schema(description = "有无预估")
	private String fd_3af9d1441ef7b6;

	@Schema(description = "预估金额")
	private Double fd_3af9d15f7018fa;

	@Schema(description = "预估金额已收")
	private Double fd_3af9d1662141a4;

	@Schema(description = "商险ID")
	private String fd_3b0a5743acab7e;

	@Schema(description = "HRO结算月")
	private Date fd_3b13b3076af5a0;

	@Schema(description = "是否全部结算")
	private String fd_3b13b2ecc164aa;

	@Schema(description = "项目编码")
	private String fd_3b16dfb32778f2_text;

	@Schema(description = "项目台账ID(ID)")
	private String fd_3b16dfb32778f2;

	@Schema(description = "是否为BPO业务")
	private String fd_3b178fab62d196;

	@Schema(description = "变更记录")
	private String fd_3b3e4653122c9e;

	@Schema(description = "商险变更记录")
	private String fd_3b5bf1628c5a68;

	@Schema(description = "变更发票号")
	private String fd_3b5bf17f2fc25c;

	@Schema(description = "变更购买标准")
	private String fd_3b5bf180e08fbe;

	@Schema(description = "保单开始时间")
	private Date fd_3b5bf17ae91f9c;

	@Schema(description = "保单结束时间")
	private Date fd_3b5bf17c6df310;

	@Schema(description = "投保类型")
	private String fd_3b5bf17d9297c2;

	@Schema(description = "商险封面抬头")
	private String fd_3b941cbcea3e1a;

	@Schema(description = "派单客服姓名")
	private String fd_3c6f0108e05c84;

	@Schema(description = "是否启用BPO结算模式")
	private String fd_usebpo_settle;

	@Schema(description = "创建时间")
	private Date createTime;

}
